<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Lowpan::MeshHeader Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('db/db1/classThread_1_1Lowpan_1_1MeshHeader.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="../../dd/d01/classThread_1_1Lowpan_1_1MeshHeader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Lowpan::MeshHeader Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d9/db4/group__core-6lowpan.html">6LoWPAN</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements Mesh Header generation and processing.  
 <a href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../de/d66/lowpan_8hpp_source.html">src/core/thread/lowpan.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac9badbc6741e168e46e6892657773a38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9badbc6741e168e46e6892657773a38"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html#ac9badbc6741e168e46e6892657773a38">Init</a> ()</td></tr>
<tr class="memdesc:ac9badbc6741e168e46e6892657773a38"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the header. <br /></td></tr>
<tr class="separator:ac9badbc6741e168e46e6892657773a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac482fb1bed52a29164b199ac1a54715d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html#ac482fb1bed52a29164b199ac1a54715d">IsMeshHeader</a> ()</td></tr>
<tr class="memdesc:ac482fb1bed52a29164b199ac1a54715d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the header is a Mesh Header.  <a href="#ac482fb1bed52a29164b199ac1a54715d">More...</a><br /></td></tr>
<tr class="separator:ac482fb1bed52a29164b199ac1a54715d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca669774393e548cff16e290780b9d33"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html#aca669774393e548cff16e290780b9d33">IsValid</a> ()</td></tr>
<tr class="memdesc:aca669774393e548cff16e290780b9d33"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the Mesh Header appears to be well-formed.  <a href="#aca669774393e548cff16e290780b9d33">More...</a><br /></td></tr>
<tr class="separator:aca669774393e548cff16e290780b9d33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeec141e1ac19ad0fb6dde601b650dce"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html#abeec141e1ac19ad0fb6dde601b650dce">GetHopsLeft</a> ()</td></tr>
<tr class="memdesc:abeec141e1ac19ad0fb6dde601b650dce"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Hops Left value.  <a href="#abeec141e1ac19ad0fb6dde601b650dce">More...</a><br /></td></tr>
<tr class="separator:abeec141e1ac19ad0fb6dde601b650dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac29f926f9297f350791d94dc4022e403"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html#ac29f926f9297f350791d94dc4022e403">SetHopsLeft</a> (uint8_t aHops)</td></tr>
<tr class="memdesc:ac29f926f9297f350791d94dc4022e403"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Hops Left value.  <a href="#ac29f926f9297f350791d94dc4022e403">More...</a><br /></td></tr>
<tr class="separator:ac29f926f9297f350791d94dc4022e403"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad199618dbd207c048d8320525e73be83"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html#ad199618dbd207c048d8320525e73be83">GetSource</a> ()</td></tr>
<tr class="memdesc:ad199618dbd207c048d8320525e73be83"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Mesh Source address.  <a href="#ad199618dbd207c048d8320525e73be83">More...</a><br /></td></tr>
<tr class="separator:ad199618dbd207c048d8320525e73be83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a268b60c4d5997dd05aff591441a37f1f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html#a268b60c4d5997dd05aff591441a37f1f">SetSource</a> (uint16_t aSource)</td></tr>
<tr class="memdesc:a268b60c4d5997dd05aff591441a37f1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Mesh Source address.  <a href="#a268b60c4d5997dd05aff591441a37f1f">More...</a><br /></td></tr>
<tr class="separator:a268b60c4d5997dd05aff591441a37f1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e1ec6692cd44d3e53c4d9fb75b82297"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html#a7e1ec6692cd44d3e53c4d9fb75b82297">GetDestination</a> ()</td></tr>
<tr class="memdesc:a7e1ec6692cd44d3e53c4d9fb75b82297"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Mesh Destination address.  <a href="#a7e1ec6692cd44d3e53c4d9fb75b82297">More...</a><br /></td></tr>
<tr class="separator:a7e1ec6692cd44d3e53c4d9fb75b82297"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6cd2f99750a7c8fd4613608155a1587"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html#ad6cd2f99750a7c8fd4613608155a1587">SetDestination</a> (uint16_t aDestination)</td></tr>
<tr class="memdesc:ad6cd2f99750a7c8fd4613608155a1587"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Mesh Destination address.  <a href="#ad6cd2f99750a7c8fd4613608155a1587">More...</a><br /></td></tr>
<tr class="separator:ad6cd2f99750a7c8fd4613608155a1587"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ae65701e6d34abd28e66332395bd95430"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html#ae65701e6d34abd28e66332395bd95430">GetHeaderLength</a> ()</td></tr>
<tr class="memdesc:ae65701e6d34abd28e66332395bd95430"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method returns the size of the Mesh Header in bytes.  <a href="#ae65701e6d34abd28e66332395bd95430">More...</a><br /></td></tr>
<tr class="separator:ae65701e6d34abd28e66332395bd95430"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements Mesh Header generation and processing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a7e1ec6692cd44d3e53c4d9fb75b82297"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Lowpan::MeshHeader::GetDestination </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Mesh Destination address. </p>
<dl class="section return"><dt>Returns</dt><dd>The Mesh Destination address. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader_a7e1ec6692cd44d3e53c4d9fb75b82297_icgraph.png" border="0" usemap="#db/db1/classThread_1_1Lowpan_1_1MeshHeader_a7e1ec6692cd44d3e53c4d9fb75b82297_icgraph" alt=""/></div>
<map name="db/db1/classThread_1_1Lowpan_1_1MeshHeader_a7e1ec6692cd44d3e53c4d9fb75b82297_icgraph" id="db/db1/classThread_1_1Lowpan_1_1MeshHeader_a7e1ec6692cd44d3e53c4d9fb75b82297_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="255,69,419,108"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="467,131,637,169"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="470,5,634,44"/>
<area shape="rect" id="node9" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="482,68,622,107"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="685,137,865,163"/>
<area shape="rect" id="node6" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="913,103,1087,141"/>
<area shape="rect" id="node7" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="958,165,1042,191"/>
<area shape="rect" id="node8" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1135,159,1290,197"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ae65701e6d34abd28e66332395bd95430"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t Thread::Lowpan::MeshHeader::GetHeaderLength </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This static method returns the size of the Mesh Header in bytes. </p>
<dl class="section return"><dt>Returns</dt><dd>The size of the Mesh Header in bytes. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader_ae65701e6d34abd28e66332395bd95430_icgraph.png" border="0" usemap="#db/db1/classThread_1_1Lowpan_1_1MeshHeader_ae65701e6d34abd28e66332395bd95430_icgraph" alt=""/></div>
<map name="db/db1/classThread_1_1Lowpan_1_1MeshHeader_ae65701e6d34abd28e66332395bd95430_icgraph" id="db/db1/classThread_1_1Lowpan_1_1MeshHeader_ae65701e6d34abd28e66332395bd95430_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="255,68,419,107"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="470,5,634,44"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="467,131,637,169"/>
<area shape="rect" id="node9" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="482,68,622,107"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="685,137,865,163"/>
<area shape="rect" id="node6" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="913,103,1087,141"/>
<area shape="rect" id="node7" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="958,165,1042,191"/>
<area shape="rect" id="node8" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1135,159,1290,197"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="abeec141e1ac19ad0fb6dde601b650dce"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t Thread::Lowpan::MeshHeader::GetHopsLeft </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Hops Left value. </p>
<dl class="section return"><dt>Returns</dt><dd>The Hops Left value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader_abeec141e1ac19ad0fb6dde601b650dce_icgraph.png" border="0" usemap="#db/db1/classThread_1_1Lowpan_1_1MeshHeader_abeec141e1ac19ad0fb6dde601b650dce_icgraph" alt=""/></div>
<map name="db/db1/classThread_1_1Lowpan_1_1MeshHeader_abeec141e1ac19ad0fb6dde601b650dce_icgraph" id="db/db1/classThread_1_1Lowpan_1_1MeshHeader_abeec141e1ac19ad0fb6dde601b650dce_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="255,33,424,72"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="472,40,653,65"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="701,5,874,44"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="745,68,830,93"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="922,61,1078,100"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad199618dbd207c048d8320525e73be83"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Lowpan::MeshHeader::GetSource </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the Mesh Source address. </p>
<dl class="section return"><dt>Returns</dt><dd>The Mesh Source address. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader_ad199618dbd207c048d8320525e73be83_icgraph.png" border="0" usemap="#db/db1/classThread_1_1Lowpan_1_1MeshHeader_ad199618dbd207c048d8320525e73be83_icgraph" alt=""/></div>
<map name="db/db1/classThread_1_1Lowpan_1_1MeshHeader_ad199618dbd207c048d8320525e73be83_icgraph" id="db/db1/classThread_1_1Lowpan_1_1MeshHeader_ad199618dbd207c048d8320525e73be83_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="255,69,419,108"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="467,131,637,169"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="470,5,634,44"/>
<area shape="rect" id="node9" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="482,68,622,107"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="685,137,865,163"/>
<area shape="rect" id="node6" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="913,103,1087,141"/>
<area shape="rect" id="node7" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="958,165,1042,191"/>
<area shape="rect" id="node8" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1135,159,1290,197"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ac482fb1bed52a29164b199ac1a54715d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::Lowpan::MeshHeader::IsMeshHeader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the header is a Mesh Header. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the header matches the Mesh Header dispatch value. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the header does not match the Mesh Header dispatch value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aca669774393e548cff16e290780b9d33"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::Lowpan::MeshHeader::IsValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the Mesh Header appears to be well-formed. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the header appears to be well-formed. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the header does not appear to be well-formed. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader_aca669774393e548cff16e290780b9d33_icgraph.png" border="0" usemap="#db/db1/classThread_1_1Lowpan_1_1MeshHeader_aca669774393e548cff16e290780b9d33_icgraph" alt=""/></div>
<map name="db/db1/classThread_1_1Lowpan_1_1MeshHeader_aca669774393e548cff16e290780b9d33_icgraph" id="db/db1/classThread_1_1Lowpan_1_1MeshHeader_aca669774393e548cff16e290780b9d33_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="255,33,424,72"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="472,40,653,65"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="701,5,874,44"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="745,68,830,93"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="922,61,1078,100"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad6cd2f99750a7c8fd4613608155a1587"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Lowpan::MeshHeader::SetDestination </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aDestination</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Mesh Destination address. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aDestination</td><td>The Mesh Destination address. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader_ad6cd2f99750a7c8fd4613608155a1587_icgraph.png" border="0" usemap="#db/db1/classThread_1_1Lowpan_1_1MeshHeader_ad6cd2f99750a7c8fd4613608155a1587_icgraph" alt=""/></div>
<map name="db/db1/classThread_1_1Lowpan_1_1MeshHeader_ad6cd2f99750a7c8fd4613608155a1587_icgraph" id="db/db1/classThread_1_1Lowpan_1_1MeshHeader_ad6cd2f99750a7c8fd4613608155a1587_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="255,5,419,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ac29f926f9297f350791d94dc4022e403"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Lowpan::MeshHeader::SetHopsLeft </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aHops</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Hops Left value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aHops</td><td>The Hops Left value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader_ac29f926f9297f350791d94dc4022e403_icgraph.png" border="0" usemap="#db/db1/classThread_1_1Lowpan_1_1MeshHeader_ac29f926f9297f350791d94dc4022e403_icgraph" alt=""/></div>
<map name="db/db1/classThread_1_1Lowpan_1_1MeshHeader_ac29f926f9297f350791d94dc4022e403_icgraph" id="db/db1/classThread_1_1Lowpan_1_1MeshHeader_ac29f926f9297f350791d94dc4022e403_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="257,5,422,44"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="255,68,424,107"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="472,75,653,100"/>
<area shape="rect" id="node5" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="701,40,874,79"/>
<area shape="rect" id="node6" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="745,103,830,128"/>
<area shape="rect" id="node7" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="922,96,1078,135"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a268b60c4d5997dd05aff591441a37f1f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Lowpan::MeshHeader::SetSource </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aSource</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the Mesh Source address. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aSource</td><td>The Mesh Source address. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader_a268b60c4d5997dd05aff591441a37f1f_icgraph.png" border="0" usemap="#db/db1/classThread_1_1Lowpan_1_1MeshHeader_a268b60c4d5997dd05aff591441a37f1f_icgraph" alt=""/></div>
<map name="db/db1/classThread_1_1Lowpan_1_1MeshHeader_a268b60c4d5997dd05aff591441a37f1f_icgraph" id="db/db1/classThread_1_1Lowpan_1_1MeshHeader_a268b60c4d5997dd05aff591441a37f1f_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="255,5,419,44"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/thread/<a class="el" href="../../de/d66/lowpan_8hpp_source.html">lowpan.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../df/d62/namespaceThread_1_1Lowpan.html">Lowpan</a></li><li class="navelem"><a class="el" href="../../db/db1/classThread_1_1Lowpan_1_1MeshHeader.html">MeshHeader</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
